Bug 330959 - Digikam crashing when play video
Summary: Digikam crashing when play video
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Video (show other bugs)
Version: 3.5.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-02-09 16:40 UTC by N25
Modified: 2017-07-27 10:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description N25 2014-02-09 16:40:20 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.12.1 (Compiled from sources)
Qt Version: 4.8.5
Operating System: Linux 3.12.9-2-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:
When I'm in digikam, click on the video file.. immediately crash down or I see 1 second play the video I choose..
- Unusual behavior I noticed:
..nothing special..
- Custom settings of the application:
I have no special settings

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f2ad7c8e980 (LWP 29666))]

Thread 19 (Thread 0x7f2ab2bcd700 (LWP 29667)):
#0  0x00007f2ad163a87d in poll () from /usr/lib/libc.so.6
#1  0x00007f2ab826e908 in ?? () from /usr/lib/libusb-1.0.so.0
#2  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#3  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 18 (Thread 0x7f2aac3a9700 (LWP 29668)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ad2118266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00000000005d5dce in ?? ()
#3  0x00007f2ad2117d8f in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 17 (Thread 0x7f2aabba8700 (LWP 29669)):
#0  0x00007fffc55fe933 in ?? ()
#1  0x0000000000000001 in ?? ()
#2  0x00000000d210dce4 in ?? ()
#3  0x00007f2a9c002660 in ?? ()
#4  0x00007f2aabba7a68 in ?? ()
#5  0x00007f2aabba7a00 in ?? ()
#6  0x000000007fffffff in ?? ()
#7  0x00007f2aabba7a70 in ?? ()
#8  0x00007f2ad164ff6d in clock_gettime () from /usr/lib/libc.so.6
#9  0x00007f2ad216c507 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f2ad22461a5 in ?? () from /usr/lib/libQtCore.so.4
#11 0x00007f2ad224497c in ?? () from /usr/lib/libQtCore.so.4
#12 0x00007f2ad2244a25 in ?? () from /usr/lib/libQtCore.so.4
#13 0x00007f2ac9d17c2d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#14 0x00007f2ac9d184a3 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0x00007f2ac9d1868c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0x00007f2ad2244b46 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#17 0x00007f2ad2216b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#18 0x00007f2ad2216e15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#19 0x00007f2ad21156ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#20 0x00007f2ad21f82c3 in ?? () from /usr/lib/libQtCore.so.4
#21 0x00007f2ad2117d8f in ?? () from /usr/lib/libQtCore.so.4
#22 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#23 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 16 (Thread 0x7f2aab3a7700 (LWP 29672)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ad2118266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f2ad53085ba in ?? () from /usr/lib/libdigikamcore.so.3
#3  0x00007f2ad2117d8f in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7f2a55ff3700 (LWP 29825)):
[KCrash Handler]
#5  0x00007f2ad1593369 in raise () from /usr/lib/libc.so.6
#6  0x00007f2ad1594768 in abort () from /usr/lib/libc.so.6
#7  0x00007f2ad210d90f in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#8  0x00007f2ad210da99 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f2ad210e2a4 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#10 0x00007f2ad52ce0a7 in Digikam::FileReadLocker::~FileReadLocker() () from /usr/lib/libdigikamcore.so.3
#11 0x00007f2ad5123760 in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding const&) () from /usr/lib/libdigikamcore.so.3
#12 0x00007f2ad52e4a05 in Digikam::ThumbnailCreator::loadWithDImg(QString const&, Digikam::IccProfile*) const () from /usr/lib/libdigikamcore.so.3
#13 0x00007f2ad52e6822 in Digikam::ThumbnailCreator::createThumbnail(Digikam::ThumbnailInfo const&, QRect const&) const () from /usr/lib/libdigikamcore.so.3
#14 0x00007f2ad52e93b6 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.3
#15 0x00007f2ad52ea202 in Digikam::ThumbnailCreator::load(QString const&) const () from /usr/lib/libdigikamcore.so.3
#16 0x00007f2ad52f8857 in ?? () from /usr/lib/libdigikamcore.so.3
#17 0x00007f2ad52d0ba6 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.3
#18 0x00007f2ad530a3fe in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.3
#19 0x00007f2ad210b84e in ?? () from /usr/lib/libQtCore.so.4
#20 0x00007f2ad2117d8f in ?? () from /usr/lib/libQtCore.so.4
#21 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#22 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7f2a959d0700 (LWP 29826)):
#0  0x00007f2acc2bbb02 in ?? () from /usr/lib/libgomp.so.1
#1  0x00007f2acc2ba36e in ?? () from /usr/lib/libgomp.so.1
#2  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#3  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7f2a5a7fc700 (LWP 29828)):
#0  0x00007f2acc2bbb02 in ?? () from /usr/lib/libgomp.so.1
#1  0x00007f2acc2ba36e in ?? () from /usr/lib/libgomp.so.1
#2  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#3  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7f2a7fdc9700 (LWP 30147)):
#0  0x00007f2acf38079c in __lll_lock_wait () from /usr/lib/libpthread.so.0
#1  0x00007f2acf37c49d in _L_lock_679 () from /usr/lib/libpthread.so.0
#2  0x00007f2acf37c417 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#3  0x00007f2ac9d58271 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2abcf08f44 in ?? () from /usr/lib/libgstbase-0.10.so.0
#5  0x00007f2a98932f11 in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#6  0x00007f2ac09572c2 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f2ac0957933 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f2ac0945622 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f2ac09572c2 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f2ac0957933 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f2ac0945622 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f2ac09572c2 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f2ac0957933 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f2ac0945622 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007f2ac09572c2 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f2ac0957933 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0x00007f2ac0945622 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0x00007f2a97870e00 in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#19 0x00007f2ac09572c2 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#20 0x00007f2ac0957933 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#21 0x00007f2ac0945622 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#22 0x00007f2ac0974f4a in ?? () from /usr/lib/libgstreamer-0.10.so.0
#23 0x00007f2a9786c0f3 in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#24 0x00007f2ac09572c2 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#25 0x00007f2ac0957933 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#26 0x00007f2a9a28efdc in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#27 0x00007f2a9a28f049 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#28 0x00007f2a9a284dde in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#29 0x00007f2a9a285309 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#30 0x00007f2ad7429344 in Phonon::MediaNodePrivate::deleteBackendObject() () from /usr/lib/libphonon.so.4
#31 0x00007f2ad741b05f in ?? () from /usr/lib/libphonon.so.4
#32 0x00007f2ad741b319 in ?? () from /usr/lib/libphonon.so.4
#33 0x00007f2ad1595e49 in __run_exit_handlers () from /usr/lib/libc.so.6
#34 0x00007f2ad1595e95 in exit () from /usr/lib/libc.so.6
#35 0x00007f2ad2c7d888 in ?? () from /usr/lib/libQtGui.so.4
#36 0x00007f2ad3935330 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#37 0x00007f2acf91327e in _XIOError () from /usr/lib/libX11.so.6
#38 0x00007f2acf9113f5 in _XReply () from /usr/lib/libX11.so.6
#39 0x00007f2acf90cd3d in XSync () from /usr/lib/libX11.so.6
#40 0x00007f2a9892ed65 in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#41 0x00007f2a9892f2a3 in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#42 0x00007f2abcf0f024 in ?? () from /usr/lib/libgstbase-0.10.so.0
#43 0x00007f2abcf10f9f in ?? () from /usr/lib/libgstbase-0.10.so.0
#44 0x00007f2abcf11446 in ?? () from /usr/lib/libgstbase-0.10.so.0
#45 0x00007f2abcf1177f in ?? () from /usr/lib/libgstbase-0.10.so.0
#46 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#47 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#48 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#49 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#50 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#51 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#52 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#53 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#54 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#55 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#56 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#57 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#58 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#59 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#60 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#61 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#62 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#63 0x00007f2a98f75cf9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#64 0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#65 0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#66 0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#67 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#68 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7f2a7f5c8700 (LWP 30148)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2abcf0d0fc in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#3  0x00007f2a99e2f648 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#4  0x00007f2abcf0f024 in ?? () from /usr/lib/libgstbase-0.10.so.0
#5  0x00007f2abcf10f9f in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0x00007f2abcf11446 in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0x00007f2abcf1177f in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#14 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#17 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#19 0x00007f2a98f75cf9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#20 0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#21 0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#22 0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#24 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7f2a7ebb4700 (LWP 30149)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2a98f74cfd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f2abcf1ee45 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#17 0x00007f2a98f75cf9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#18 0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#21 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#22 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7f2a7e3b3700 (LWP 30150)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2a98f74cfd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f2a9788e5fd in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#8  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f2a98f6b1c5 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#13 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#17 0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#19 0x00007f2a7ebbdd2f in ?? () from /usr/lib/gstreamer-0.10/libgstjpeg.so
#20 0x00007f2ac0971a51 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#21 0x00007f2a98f713c1 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#22 0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#23 0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#24 0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#25 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#26 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7f2a7dbb2700 (LWP 30151)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2abcf2d5bd in gst_data_queue_pop () from /usr/lib/libgstbase-0.10.so.0
#3  0x00007f2a98f70aa4 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7f2a7d3b1700 (LWP 30152)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2a98f74cfd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f2a98f80080 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0x00007f2a98f80544 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0x00007f2ac096dfd3 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f2ac0971949 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f2a98f75cf9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#12 0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#14 0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#16 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7f2a63fff700 (LWP 30153)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2a98f74cfd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2ac0971a51 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2ac0971a51 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2a98f80080 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f2a98f80544 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#7  0x00007f2ac0971a51 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f2a98f75cf9 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#12 0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#13 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7f2a62ffd700 (LWP 30155)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2abcf2d100 in gst_data_queue_push () from /usr/lib/libgstbase-0.10.so.0
#3  0x00007f2a98f706c2 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0x00007f2ac0971a51 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2a94392011 in ?? () from /usr/lib/gstreamer-0.10/libgstavi.so
#6  0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7f2a94d9c700 (LWP 30157)):
#0  0x00007f2acf38079c in __lll_lock_wait () from /usr/lib/libpthread.so.0
#1  0x00007f2acf37c49d in _L_lock_679 () from /usr/lib/libpthread.so.0
#2  0x00007f2acf37c417 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#3  0x00007f2ac9d58271 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2a989324dd in ?? () from /usr/lib/gstreamer-0.10/libgstxvimagesink.so
#5  0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7f2a637fe700 (LWP 30158)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2a98f755c5 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2ac09973a4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2ac9d3d976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7f2a61ffb700 (LWP 30159)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ac9d584e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2a99e36de1 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#3  0x00007f2ac9d3cfb5 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2acf37a0a2 in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007f2ad164332d in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7f2ad7c8e980 (LWP 29666)):
#0  0x00007f2acf37e03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2ad2118266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f2ad5309a68 in Digikam::DynamicThread::wait(QMutexLocker&) () from /usr/lib/libdigikamcore.so.3
#3  0x00007f2ad5309ae4 in Digikam::DynamicThread::shutDown() () from /usr/lib/libdigikamcore.so.3
#4  0x00007f2ad52d4171 in Digikam::ManagedLoadSaveThread::shutDown() () from /usr/lib/libdigikamcore.so.3
#5  0x00007f2ad52ebecf in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread() () from /usr/lib/libdigikamcore.so.3
#6  0x00007f2ad52ec009 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread() () from /usr/lib/libdigikamcore.so.3
#7  0x00007f2ad1595e49 in __run_exit_handlers () from /usr/lib/libc.so.6
#8  0x00007f2ad1595e95 in exit () from /usr/lib/libc.so.6
#9  0x00007f2ad2c7d888 in ?? () from /usr/lib/libQtGui.so.4
#10 0x00007f2ad3935330 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#11 0x00007f2acf91327e in _XIOError () from /usr/lib/libX11.so.6
#12 0x00007f2acf9113f5 in _XReply () from /usr/lib/libX11.so.6
#13 0x00007f2acf907715 in XQueryPointer () from /usr/lib/libX11.so.6
#14 0x00007f2ad2c96598 in QCursor::pos() () from /usr/lib/libQtGui.so.4
#15 0x00007f2ad2c2af28 in QMouseEvent::QMouseEvent(QEvent::Type, QPoint const&, Qt::MouseButton, QFlags<Qt::MouseButton>, QFlags<Qt::KeyboardModifier>) () from /usr/lib/libQtGui.so.4
#16 0x00007f2ad744065c in ?? () from /usr/lib/libphonon.so.4
#17 0x00007f2ad222bb48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#18 0x00007f2ad74264f5 in Phonon::MediaObject::currentSourceChanged(Phonon::MediaSource const&) () from /usr/lib/libphonon.so.4
#19 0x00007f2ad742697a in ?? () from /usr/lib/libphonon.so.4
#20 0x00007f2ad222fefe in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#21 0x00007f2ad2c170dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x00007f2ad2c1d6a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0x00007f2ad393677a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#24 0x00007f2ad2217ebd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#25 0x00007f2ad221af0f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#26 0x00007f2ad2245263 in ?? () from /usr/lib/libQtCore.so.4
#27 0x00007f2ac9d18296 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0x00007f2ac9d185e8 in ?? () from /usr/lib/libglib-2.0.so.0
#29 0x00007f2ac9d1868c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0x00007f2ad2244b25 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0x00007f2ad2cb4216 in ?? () from /usr/lib/libQtGui.so.4
#32 0x00007f2ad2216b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0x00007f2ad2216e15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0x00007f2ad221bf4b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#35 0x0000000000491ed3 in ?? ()
#36 0x00007f2ad157fb05 in __libc_start_main () from /usr/lib/libc.so.6
#37 0x00000000004944cf in _start ()

Reported using DrKonqi
Comment 1 caulier.gilles 2014-02-09 17:22:53 UTC
The trace is not relevant of video player (Phonon).

Please try to get another backtrace in same condition. If possible run digiKam in GDB as explained here :

http://www.digikam.org/contrib

Gilles Caulier
Comment 2 N25 2014-02-09 17:55:44 UTC
I hope here it is:


#0  0x00007ffff187b369 in raise () from /usr/lib/libc.so.6
#1  0x00007ffff187c768 in abort () from /usr/lib/libc.so.6
#2  0x00007ffff1874456 in __assert_fail_base () from /usr/lib/libc.so.6
#3  0x00007ffff1874502 in __assert_fail () from /usr/lib/libc.so.6
#4  0x00007fffefbf88d9 in ?? () from /usr/lib/libX11.so.6
#5  0x00007fffefbf896e in ?? () from /usr/lib/libX11.so.6
#6  0x00007fffefbf8c4d in _XEventsQueued () from /usr/lib/libX11.so.6
#7  0x00007fffefbead3b in XEventsQueued () from /usr/lib/libX11.so.6
#8  0x00007ffff2f9bce7 in ?? () from /usr/lib/libQtGui.so.4
#9  0x00007fffe9fffc2d in g_main_context_prepare () from
/usr/lib/libglib-2.0.so.0
#10 0x00007fffea0004a3 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0x00007fffea00068c in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#12 0x00007ffff252cb25 in
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
() from /usr/lib/libQtCore.so.4
#13 0x00007ffff2f9c216 in ?? () from /usr/lib/libQtGui.so.4
#14 0x00007ffff24feb1f in
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/libQtCore.so.4
#15 0x00007ffff24fee15 in
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/libQtCore.so.4
#16 0x00007ffff2503f4b in QCoreApplication::exec() () from
/usr/lib/libQtCore.so.4
#17 0x0000000000491ed3 in ?? ()
#18 0x00007ffff1867b05 in __libc_start_main () from /usr/lib/libc.so.6
#19 0x00000000004944cf in _start ()





2014-02-09 18:22 GMT+01:00 Gilles Caulier <caulier.gilles@gmail.com>:

> https://bugs.kde.org/show_bug.cgi?id=330959
>
> Gilles Caulier <caulier.gilles@gmail.com> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |RESOLVED
>                  CC|                            |caulier.gilles@gmail.com
>          Resolution|---                         |BACKTRACE
>
> --- Comment #1 from Gilles Caulier <caulier.gilles@gmail.com> ---
> The trace is not relevant of video player (Phonon).
>
> Please try to get another backtrace in same condition. If possible run
> digiKam
> in GDB as explained here :
>
> http://www.digikam.org/contrib
>
> Gilles Caulier
>
> --
> You are receiving this mail because:
> You reported the bug.
>
Comment 3 caulier.gilles 2014-02-09 18:08:16 UTC
It's not better. Look like there is no digiKam source code visible here.

I suspect a problem with GStreamer plugin used by KDE Phonon component to display video files... I recently seen some report about this problem here (all relevant of a Phonon backend problem, not digiKam)

In fact digiKam as no video player. We delegate video view to Phonon widget from KDELibs...

Gilles Caulier
Comment 4 caulier.gilles 2015-06-25 13:12:35 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 5 caulier.gilles 2015-08-20 06:53:27 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 6 caulier.gilles 2016-07-09 16:09:35 UTC
This problem is not reproducible with last 5.0.0.
I close this file now. Don't hesitate to re-open it if necessary.
Gilles Caulier